using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplication1.Models;

namespace WebApplication1.Controllers {
  public class ExempleVuesPartiellesController : Controller {
    public ActionResult Index() {
      return View();
    }
    [ChildActionOnly]
    public ActionResult LireNom( string format ) { // Sera null si l'action est invoquée sans paramètre
      var nom = User.Identity.IsAuthenticated ? User.Identity.Name : "Inconnu";
      return PartialView( new NomFormatable { Nom = nom, Format = format != null ? format : "{0}" } );
    }
    public ActionResult LireNomPourAjax( string format ) { // Si ChildActionOnly, pas d'appel ajax possible
      var nom = User.Identity.IsAuthenticated ? User.Identity.Name : "Inconnu";
      var pv = PartialView( "LireNom", new NomFormatable { Nom = nom, Format = format != null ? format : "{0}" } );
      return pv;
    }
    
  }
}